Community
Inventor Programming - iLogic, Macros, AddIns & Apprentice
Inventor iLogic, Macros, AddIns & Apprentice Forum. Share your knowledge, ask questions, and explore popular Inventor topics related to programming, creating add-ins, macros, working with the API or creating iLogic tools.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

iLogic won't update my parts on other sheets in the drawings

4 REPLIES 4
Reply
Message 1 of 5
steve.markle
430 Views, 4 Replies

iLogic won't update my parts on other sheets in the drawings

when the following iLogic program is run, every parameter is calculated properly. but the some of parts will not update. There are three sheets to this drawing and the parts on the inactive sheets won't update...... Any idea why??

Steve Markle
SPX Flow Technology
Rochester, NY
Inventor 2011



'
#######################################################
'
THIS iLOGIC PROGRAM WILL DESIGN A WELDED A100 IMPELLER
'
Program by Stephen L. Markle - SPX Flow Technology - 10/25/2013
'
#######################################################
'
THIS PROGRAM IS FOUND IN "A100-2 Assembly Program DRAWING.DWG"
'
#######################################################
AddReference "A100 Welded Impeller Program.dll" 'File found in "C:\vaultws\smarkle\SPX-Vault\SPX\Flow Technologies\Rochester\Private\Product Development\A100 Fab Impellers"

localTrigger = iTrigger0

'############## Sets doc Parameter ###############################

doc = ThisDrawing.ModelDocument




'###########Reads Existing Parameters#############################

Using dlg As New A100_Welded_Impeller_Program.Dialog1
dlg.Parameter = Parameter
dlg.Imp_Dia = Imp_Dia
dlg.Shaft_Dia = Shaft_Dia
dlg.Hub_Dia = Hub_OD
dlg.Hub_Lgh = Hub_Lgh
dlg.Blade_Thick = Blade_Thick
dlg.Weld_Size = Weld_Size
dlg.Leading_Edge_Radius = LEADING_EDGE_RADIUS
dlg.Trailing_Edge_Radius = TRAILING_EDGE_RADIUS
dlg.Assembly_Pt_Num = FINISHED_PART_NUMBER
dlg.Weldment_Pt_Num = WELDMENT_PART_NUMBER
dlg.Hub_Pt_num = HUB_PART_NUMBER
dlg.Blade_Form_Pt_Num = BLADE_FORMED_NUMBER
dlg.Blade_Blk_Pt_Num = BLADE_BLANK_NUMBER
dlg.Blade_Blk_Pt_Num = BLADE_BLANK_NUMBER
'dlg.Stabilizer_Drawing_Number = STABILIZER_DRAWING_NUMBER
dlg.File_Save_Location = FILE_SAVE_LOCATION
dlg.ECO_Number = ECO_Number

'##############Sets Parameters to Dialog Box Input #####################

Dim i As Integer = dlg.ShowDialog()
If i <> vbOK Then Return
Imp_Dia = dlg.Imp_Dia
Shaft_Dia = dlg.Shaft_Dia
Hub_OD = dlg.Hub_Dia
Hub_Lgh = dlg.Hub_Lgh
Blade_Thick = dlg.Blade_Thick
Weld_Size = dlg.Weld_Size
LEADING_EDGE_RADIUS = dlg.Leading_Edge_Radius
TRAILING_EDGE_RADIUS = dlg.Trailing_Edge_Radius
FINISHED_PART_NUMBER = dlg.Assembly_Pt_Num
WELDMENT_PART_NUMBER = dlg.Weldment_Pt_Num
HUB_PART_NUMBER = dlg.Hub_Pt_num
BLADE_FORMED_NUMBER = dlg.Blade_Form_Pt_Num
BLADE_BLANK_NUMBER = dlg.Blade_Blk_Pt_Num
DRAWING_NUMBER = dlg.Drawing_Number
FILE_SAVE_LOCATION = dlg.File_Save_Location
ECO_Number = dlg.ECO_Number
End Using

'###########Sets Parameters in Parts and Assembliy Files #####################

Parameter("A100 - Hub-2.ipt.HUB_DIA") = Hub_OD
Parameter("A100 - Hub-2.ipt.HUB_BORE") = Shaft_Dia
Parameter("A100 - Hub-2.ipt.HUB_LENGTH") = Hub_Lgh
Parameter("A100 Fab Impeller Blade-2 - Blank.ipt.blade_thickness") = Blade_Thick
Parameter("A100 Fab Impeller Blade-2 - Blank.ipt.blade_flat_width") = Imp_Dia/6.66667
Parameter("A100 Fab Impeller Blade-2 - Blank.ipt.blade_center_to_flat") = Imp_Dia/3.333334
Parameter("A100 Fab Impeller Blade-2 - Blank.ipt.flat_length") = Imp_Dia * .04
Parameter("A100 Fab Impeller Blade-2 - Blank.ipt.half_blade_length") = Imp_Dia/3.63636
Parameter("A100 Fab Impeller Blade-2 - Blank.ipt.half_blade_width") = Imp_Dia/5.40541
Parameter("A100 Fab Impeller Blade-2 - Formed.ipt.blade_thickness") = Blade_Thick
Parameter("A100 Fab Impeller Blade-2 - Formed.ipt.flat_width") = Imp_Dia/6.66667
Parameter("A100 Fab Impeller Blade-2 - Formed.ipt.blade_center_to_flat") = Imp_Dia/3.333334
Parameter("A100 Fab Impeller Blade-2 - Formed.ipt.flat_length") = Imp_Dia * .04
Parameter("A100 Fab Impeller Blade-2 - Formed.ipt.blade_flat_width") = Imp_Dia/6.66667
Parameter("A100 Fab Impeller Blade-2 - Formed.ipt.half_blade_length") = Imp_Dia/3.63636
Parameter("A100 Fab Impeller Blade-2 - Formed.ipt.half_blade_width") = Imp_Dia/5.40541
Parameter("A100 Fab Impeller Blade-2 - Formed.ipt.HUB_CUT_DIA") = Hub_OD
Parameter("A100 Fab Impeller Blade-2 - Formed.ipt.HUB_CUT_LENGTH") = Hub_Lgh
Parameter("A100 Fab Impeller Blade-2 - Formed.ipt.LEAD_EDGE_RADIUS") = LEADING_EDGE_RADIUS
Parameter("A100 Fab Impeller Blade-2 - Formed.ipt.TRAIL_EDGE_RADIUS") = TRAILING_EDGE_RADIUS
Parameter("A100 Impeller Assembly.iam.REQ_IMP_DIA")= Imp_Dia
Parameter("A100 Impeller Assembly.iam.NEW_IMP_DIA")= Imp_Dia
Parameter("A100 Impeller Assembly.iam.INPUT_IMP_DIA")= Imp_Dia
Parameter("A100 Impeller Assembly.iam.iam.THICK")= Blade_Thick
Parameter("A100 Impeller Assembly.iam.iam.CUT")= Hub_OD

'############# FILLS OUT iPROPERTIES WINDOW ########################

iProperties.Value("Project", "Part Number") = ""
iProperties.Value("Custom", "BLADE_BLANK_NUMBER") = BLADE_BLANK_NUMBER
iProperties.Value("Custom", "BLADE_FORMED_NUMBER") = BLADE_FORMED_NUMBER
iProperties.Value("Custom", "HUB_PART_NUMBER") = HUB_PART_NUMBER
iProperties.Value("Custom", "WELDMENT_PART_NUMBER") = WELDMENT_PART_NUMBER
iProperties.Value("Summary", "Title") = (Imp_Dia & " INCH " & "-" & ""&" FAB A100 IMPELLER")
iProperties.Value("Custom", "ECO No") = ECO_Number
iProperties.Value("Project", "Description") = ("")
iProperties.Value("Summary", "Title") = ("")

'############## DRAWING VIEW SCALE ##############################
'
ActiveSheet.View("VIEW32").Scale = 5/Imp_Dia
ActiveSheet.View("VIEW11").Scale = 7/Imp_Dia
ActiveSheet.View("VIEW30").Scale = 7/Imp_Dia
ActiveSheet.View("VIEW6").Scale = 7/Imp_Dia
ActiveSheet.View("VIEW26").Scale = 8/Imp_Dia

'########## DRAWING VIEW And iProperties UPDATE #########################

ThisApplication.CommandManager.ControlDefinitions.Item("AppUpdateMassPropertiesCmd").Execute

iLogicVb.UpdateWhenDone = True
doc.update
ThisDoc.Save


4 REPLIES 4
Message 2 of 5

Hi,

 

Could you isolate and provide a demo?

 

I made a simplest demo as attached. I also produced a video on how I tested. If it is similar to your workflow, could you just modify it until the problem occurs?

Message 3 of 5
steve.markle
in reply to: steve.markle

I've isolated the problem.

 

The program runs properly until I delete a view and recreate it again to rotate it before projecting the top view from it. Once i do this, and rename the views to scale them in iLogic, is when the views stop updating. I've worked around it by leaving the old views and suppressing them. Then I put the new views in. This is not an elegant fix but its working.

 

Steve

Message 4 of 5

Hi,

 

I doubt such operation broke the relationship of the drawingview and the model. If you can have a stable reprodusible case, please provide the detail steps (or a video). We can take a look at if this is as desgined, or an issue. 

Message 5 of 5

I will zip the entire file for you to try later today..

 

Thanks

 

Steve Markle

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report